### Method

# Gimp VectorLayer get_stroke_dash_pattern

since: 3.2

#### Declaration [src]

    gboolean
    gimp_vector_layer_get_stroke_dash_pattern (
      GimpVectorLayer* layer,
      gsize* num_dashes,
      gdouble** dashes
    )

#### Description [src]

Get the stroke dash pattern of a vector layer.

This procedure returns the stroke dash pattern in a vector layer.

Available since: 3.2

#### Parameters

`num_dashes`

  Type: `gsize*`

  The number of dashes in the dash_pattern array.

  The argument will be set by the function.

`dashes`

  Type: An array of `double`

  The stroke dash pattern array.

  The argument will be set by the function.
  The length of the array is specified in the `num_dashes` argument.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

#### Return value

Type: `gboolean`

TRUE on success.